[android-components](../../index.md) / [org.mozilla.telemetry.measurement](../index.md) / [ExperimentsMapMeasurement](./index.md)

# ExperimentsMapMeasurement

`class ExperimentsMapMeasurement : `[`TelemetryMeasurement`](../-telemetry-measurement/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/measurement/ExperimentsMapMeasurement.kt#L14)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `ExperimentsMapMeasurement()` |

### Functions

| Name | Summary |
|---|---|
| [flush](flush.md) | `fun flush(): `[`JSONObject`](https://developer.android.com/reference/org/json/JSONObject.html) |
| [setExperiments](set-experiments.md) | `fun setExperiments(experiments: `[`Map`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-map/index.html)`<`[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |

### Inherited Functions

| Name | Summary |
|---|---|
| [getFieldName](../-telemetry-measurement/get-field-name.md) | `open fun getFieldName(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
